> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# My code host connections

> Your own sign-ins. Nothing returns anyone else's.



## OpenAPI

````yaml get /api/code-hosts
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/code-hosts:
    get:
      tags:
        - Code hosts
      summary: My code host connections
      description: Your own sign-ins. Nothing returns anyone else's.
      operationId: my_connections_api_code_hosts_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CodeHostConnection'
                type: array
                title: Response My Connections Api Code Hosts Get
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CodeHostConnection:
      properties:
        provider:
          type: string
          title: Provider
        label:
          type: string
          title: Label
        host:
          type: string
          title: Host
          default: ''
        for_this_repository:
          type: boolean
          title: For This Repository
          default: false
        connected:
          type: boolean
          title: Connected
        can_sign_in:
          type: boolean
          title: Can Sign In
          default: false
        account:
          type: string
          title: Account
          default: ''
        needs_reconnect:
          type: boolean
          title: Needs Reconnect
          default: false
        connected_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Connected At
      type: object
      required:
        - provider
        - label
        - connected
      title: CodeHostConnection
      description: One person's sign-in at one host, as a page may see it.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.